API reference
List models
Every Summer API model with its id, input schema, output formats, typical time and price. Public, no sign-in.
GET
/
models
List Summer API models
curl --request GET \
--url https://www.summerengine.com/v1/modelsimport requests
url = "https://www.summerengine.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.summerengine.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.summerengine.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.summerengine.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.summerengine.com/v1/models")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.summerengine.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"currency": "USD",
"topUpFeePercent": 123,
"aliases": {},
"models": [
{
"id": "<string>",
"datedId": "<string>",
"capability": "image",
"name": "<string>",
"vendor": "<string>",
"tags": [
"<string>"
],
"aliases": [
"<string>"
],
"outputFormats": [
"<string>"
],
"latency": {
"p50Seconds": 123,
"p90Seconds": 123,
"measured": true
},
"tier": "free",
"commercialUse": true,
"wellTested": true,
"price": {
"unit": "call",
"price": "<string>",
"modifiers": [
{
"field": "<string>",
"equals": "<string>",
"set": true,
"price": "<string>",
"add": "<string>"
}
],
"priceUpdatedAt": "<string>",
"quantityField": "<string>",
"minimum": "<string>",
"estimate": true
},
"inputSchema": {},
"voices": [
{
"voiceId": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>",
"fix_url": "<string>"
}
}Query Parameters
Only this kind: image, 3d, video, voice, dialogue, sound or music.
Available options:
image, 3d, video, voice, dialogue, sound, music, motion ⌘I
List Summer API models
curl --request GET \
--url https://www.summerengine.com/v1/modelsimport requests
url = "https://www.summerengine.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.summerengine.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.summerengine.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.summerengine.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.summerengine.com/v1/models")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.summerengine.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"currency": "USD",
"topUpFeePercent": 123,
"aliases": {},
"models": [
{
"id": "<string>",
"datedId": "<string>",
"capability": "image",
"name": "<string>",
"vendor": "<string>",
"tags": [
"<string>"
],
"aliases": [
"<string>"
],
"outputFormats": [
"<string>"
],
"latency": {
"p50Seconds": 123,
"p90Seconds": 123,
"measured": true
},
"tier": "free",
"commercialUse": true,
"wellTested": true,
"price": {
"unit": "call",
"price": "<string>",
"modifiers": [
{
"field": "<string>",
"equals": "<string>",
"set": true,
"price": "<string>",
"add": "<string>"
}
],
"priceUpdatedAt": "<string>",
"quantityField": "<string>",
"minimum": "<string>",
"estimate": true
},
"inputSchema": {},
"voices": [
{
"voiceId": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>",
"fix_url": "<string>"
}
}
